<?php
namespace Claromentis\OAuth2;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_2fcdfa6cef44" . "13005aae9ae3d" . "f6426e2" => base64_decode("b2F1dGhfY2xpZW50c" . "w=="), "_803d546c3" . "5dc6bb74c3" . "cd32b95fca" . "c3e" => base64_decode("U0VMRUNUIHJlZGlyZWN0X3VyaSBGUk9NIG9hdXRoX2NsaWVudF9yZWRpcmVjdF91cmlzIFdIRVJFIGNsaWVudF9pZC" . "BlcTpzdHI6Y2lk"), "na" . "me" => base64_decode("bmF" . "tZQ" . "=="), "i" . "d" => base64_decode("aWQ" . "="), "_8ff0c68bbee5fe19849c7f82cd0d6a" . "0f" => base64_decode("cmVkaX" . "JlY3Rf" . "dXJpcw" . "=="), "_653c065ce13fcc898" . "c85e35e3f0ab5bc" => base64_decode("c2Vj" . "cmV0"), "_a591754a8ddcdbda9c80f1db4d91" . "1e14" => base64_decode("aXNfbnVsbA" . "=="), "_c372545" . "d70ea3c5" . "1062f754" . "45d68792" . "9" => base64_decode("REVMRVRFIEZST00gb2F1dGhfY2xpZW50X3JlZGlyZWN0X3VyaXMgV0hFUkUgY2xpZW50X" . "2lkIGVxOnN0cjpjaWQ="), "_7f628626dd1d55c71b1fc0932ffd1d2" . "c" => base64_decode("aXNf" . "YXJy" . "YXk="), "_70995c4fd2bc" . "cfc9acaf06d84" . "44852c7" => base64_decode("SU5TRVJUIElOVE8gb2F1dGhfY2xpZW50X3JlZGlyZWN0X3VyaXMgKGNsaWVudF9pZCwgc" . "mVkaXJlY3RfdXJpKSBWQUxVRVMgKHN0cjpjaWQsIHN0cjp1KQ=="));
use Claromentis\Core\DAL;
use Claromentis\Core\Services;
use ObjectsStorage;










class Client extends \ActiveRecord
{
    protected $redirect_uris = null;
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2fcdfa6cef4413005aae9ae3d" . "f6426e2"], $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["i" . "d"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["na" . "me"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_653c065ce13fcc898c85e35e3f0ab5b" . "c"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function GetRedirectURIs()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_a591754a8" . "ddcdbda9c8" . "0f1db4d911" . "e14"]($this->redirect_uris)) {
            $db = Services::I()->GetDb();
            $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_803d546c35" . "dc6bb74c3cd" . "32b95fcac3e"], $this->id);
            $this->redirect_uris = $_189840d11056515e52402d1412a0b6e4->fetchAllValues();
        }
        return $this->redirect_uris;
    }
    
    
    
    
    public function SetRedirectURIs($_688eb32b375d969d8f026c11a2cd33ea)
    {
        $this->redirect_uris = $_688eb32b375d969d8f026c11a2cd33ea;
    }
    public function Save()
    {
        if (!parent::Save()) {
            return false;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7f628626dd1d55c71b1fc0932ff" . "d1d2c"]($this->redirect_uris)) {
            $db = Services::I()->GetDb();
            $_15afa2d452391af5d01076584c0d792a = $this->id;
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c372545d70ea" . "3c51062f75445" . "d687929"], $_15afa2d452391af5d01076584c0d792a);
            foreach ($this->redirect_uris as $_797ea62e9ab498d38c2781088fc553f6) {
                $db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_70995c4fd2bccfc9a" . "caf06d8444852c7"], $_15afa2d452391af5d01076584c0d792a, $_797ea62e9ab498d38c2781088fc553f6);
            }
        }
        return true;
    }
    public function ResetSecret()
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_653c065ce13fcc898c85e35e3f0a" . "b5bc"], \CryptUtils::GetRandomString());
    }
    public static function CreateNew($_24b81fd345b39bff8a1dfa1607826ec3)
    {
        
        
        $client = static::Create([$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["i" . "d"] => \CryptUtils::GetRandomString() . \CryptUtils::GetRandomString(), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_653c065ce13fcc898c85e35" . "e3f0ab5bc"] => \CryptUtils::GetRandomString(), $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["nam" . "e"] => $_24b81fd345b39bff8a1dfa1607826ec3[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["nam" . "e"]]]);
        $client->SetRedirectURIs($_24b81fd345b39bff8a1dfa1607826ec3[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_8ff0c68bbee5" . "fe19849c7f82c" . "d0d6a0f"]]);
        return $client;
    }
}